
# Define _prefix to be under the /scisoft directory.
%define _prefix  /scisoft/share/midas

# Disable debuginfo 
%define debug_package %{nil}

# Set __arch_install_post to nil to disable check-rpmbuild after install, 
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}

# This version information must also be updated in the Setup.bash|.csh scripts
# for the common RPM.
%define dateprefix 19FEB
%define patch_version 1.0
%define midas_version %{dateprefix}pl%{patch_version}

Name:           scisoft-midas
Version:        19.02.1.0
Release:        1%{?dist}
Summary:        MIDAS Data Reduction System
License:        European Southern Observatory
Distribution:   Scisoft
Group:          Development/Languages
URL:            http://www.eso.org/sci/software/esomidas
Source:         ftp://ftp.eso.org/pub/midaspub/%{dateprefix}/sources/%{midas_version}.tar.gz
Packager:       Carlos Guirao

BuildRequires:  procmail, gcc, gcc-gfortran, libXt-devel, openmotif-devel
BuildRequires:  ncurses-devel, ed, vim-minimal, readline-devel
# the command lockfile is provided by RPM procmail
Requires:       procmail, glibc-devel, libgfortran, libXt-devel, openmotif-devel
Requires:       scisoft-common

%description
The ESO-MIDAS system provides general tools for image processing and data
reduction with emphasis on astronomical applications including imaging and
special reduction packages for ESO instrumentation at La Silla and the VLT at
Paranal. In addition it contains applications packages for stellar and surface
photometry, image sharpening and decomposition, statistics and various others.

%prep
%setup -q -n %{midas_version}

%build
cd install/unix
echo "y" | ./autoconfig

%install
# Check for build errors since the installation scripts silently fail.
if grep 'make: .* Error' tmp/install.* > /dev/null ; then
    exit 1
fi
# Remove temporary directory created during the build.
rm -rf tmp
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{midas_version}
mv * $RPM_BUILD_ROOT%{_prefix}/%{midas_version}

cd $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/system/unix
for script in inmidas helpmidas 
do
  ed $script << EOF >/dev/null 2>&1
1
/^MIDASHOME0
s/=.*/=\/scisoft\/share\/midas/
w
q
EOF
done

cd $RPM_BUILD_ROOT
mkdir -p scisoft/bin; cd scisoft/bin
for COMMAND in inmidas gomidas helpmidas drs nmgrep
do
  test -f $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/system/unix/$COMMAND || exit 1
  ln -s %{_prefix}/%{midas_version}/system/unix/$COMMAND
done

cd $RPM_BUILD_ROOT
mkdir -p scisoft/man/man1; cd scisoft/man/man1
for MANPAGE in inmidas.1 gomidas.1 helpmidas.1
do
  test -f $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/system/unix/man1/$MANPAGE || exit 1
  ln -s %{_prefix}/%{midas_version}/system/unix/man1/$MANPAGE
done

# Patch the ftoc symlinks.
rm $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/libsrc/ftoc
ln -s %{_prefix}/%{midas_version}/libsrc/ftoc-new $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/libsrc/ftoc
rm $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/system/good-ftoc
ln -s %{_prefix}/%{midas_version}/system/ftoc-new $RPM_BUILD_ROOT%{_prefix}/%{midas_version}/system/good-ftoc

%files
%defattr (-,root,root, -)
%dir /scisoft
%docdir /scisoft/man
/scisoft/man
%dir /scisoft/share
%dir %{_prefix}
%{_prefix}/%{midas_version}
/scisoft/bin

%changelog
* Wed Feb 14 2018 Artur Szostak <aszostak@partner.eso.org> 1.2-2
- Fixing missing directory declarations in the files section to properly cleanup
  after uninstallation.

* Tue Feb 13 2018 Artur Szostak <aszostak@partner.eso.org> 1.2-1
- Adjusting specfile template to use automated build procedures.

* Fri May 5 2017 Artur Szostak <aszostak@partner.eso.org> 1.2-1
- Updating MIDAS version to 17FEBpl.
- Adding missing build dependencies for 'ex' (in package vim-minimal) and
  readline-devel.
- Adding check for silent build errors and cleaning up the temporary build
  directory.

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 1.1-2
- Adding missing build dependency for 'ed'.

* Wed Nov 6 2013 Carlos Guirao <cguirao@eso.org>
- Integration with Scisoft

* Mon Nov 26 2012 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
